module Blufin

    class SqlError

        attr_accessor :type, :file, :line, :multi_line_content

        def initialize(type, file, line, multi_line_content)

            raise RuntimeError, "multi_line_content must be either nil or Array, you passed: #{multi_line_content.class}" unless multi_line_content.nil? || multi_line_content.is_a?(Array)

            @type = type
            @file = file
            @line = line

            @multi_line_content = multi_line_content

        end

    end

end