module Blufin

    class SiteEmbedded

        @@embedded_data = nil

        # Only needs to be initialized once.
        # @return void
        def self.init(embedded_data)

            return unless @@embedded_data.nil?

            raise RuntimeError, "Expected Hash, instead got: #{embedded_data.class}" unless embedded_data.is_a?(Hash)

            @@embedded_data = embedded_data

        end

        # Gets the Data Hash
        # @return Hash
        def self.get_data
            @@embedded_data
        end

    end

end