module Blufin

    class YmlConfigurationWriter < Blufin::YmlWriterBase

        PLACEHOLDER_SERVICE = '{{--PLACEHOLDER-SERVICE--}}'
        PLACEHOLDER_PORT    = '{{--PLACEHOLDER-PORT--}}'

        # Initialize the class.
        # @return void
        def initialize(site)

            @site          = Blufin::SiteResolver::validate_site(site)
            @site_name     = Blufin::SiteResolver::get_site_name(@site)
            @site_ports    = Blufin::SiteResolver::get_site_ports(@site)
            @site_domain   = Blufin::SiteResolver::get_site_domain(@site)
            @site_location = "#{Blufin::SiteResolver::get_site_location(@site)}/"

            @template_nginx = <<TEMPLATE
TEMPLATE

        end

        # Write the file(s).
        # @return void
        def write

            # TODO - Finish this. Needs to write YML configuration (passed to java) from DB values.
            file = nil

            contents = @template_nginx
            # contents = contents.gsub(PLACEHOLDER_SERVICE, service)
            # contents = contents.gsub(PLACEHOLDER_PORT, port.to_s)
            Blufin::Files.write_file(file, Blufin::YmlCommon::convert_string_to_line_array(contents))


        end

    end

end