module AppCommand

    class Build < ::Convoy::ActionCommand::Base

        def execute

            begin

                @opts = command_options
                @args = arguments

                opts_validate
                opts_routing

            rescue => e

                Blufin::Terminal::print_exception(e)

            end

        end

        def opts_validate

            Blufin::SiteServices::validate_site_service(@site, @service)

        end

        def opts_routing

            # Tag a branch:
            # $ git tag -a "v0.1.0-beta" -m "Version: v0.1.0-beta"

            # Show all commits between 2 tags...
            # $ git log v0.1.0-beta..v0.1.1-beta | grep "^commit [a-z0-9]\{40\}$" | awk '{print $2}'

            # Get commit message for commit hash...
            # $ git show d29f2870c59ffab4abb565c3e3c06430cd62515c | grep "^commit [a-z0-9]\{40\}$" -A4 | tail -n 1

            raise RuntimeError, 'Not yet implemented!'

        end

    end

end