module Blufin

    class YmlJavaJsDependencyWriter < Blufin::YmlWriterBase

        # Initialize the class.
        # @return void
        def initialize(site)

            @site          = Blufin::SiteResolver::validate_site(site)
            @site_name     = Blufin::SiteResolver::get_site_name(@site)
            @site_domain   = Blufin::SiteResolver::get_site_domain(@site)
            @site_location = "#{Blufin::SiteResolver::get_site_location(@site)}/"

            # Wipe out all previous files.
            # Blufin::YmlSchemaValidator::VALID_SCHEMAS_GENERATE.each do |schema|
            #     %W(
            #     #{@embedded_path}/base
            #     #{@embedded_path}/field
            #     #{@embedded_path}/filter
            #     #{@embedded_path}/mapper
            #     #{@embedded_path}/refiner
            #     #{@embedded_path}/service
            #     #{@embedded_path}/sort
            #     ).each do |path_to_wipe_out|
            #         if Blufin::Files::path_exists(path_to_wipe_out)
            #             if Blufin::Files::get_files_in_dir(path_to_wipe_out).any?
            #                 Blufin::Terminal::command('rm *', path_to_wipe_out, false, false) unless path_to_wipe_out == "#{@embedded_path}/dto" # Safe-guard to prevent accidental deletion of /dto folder.
            #             end
            #         end
            #     end
            # end

            @template = <<TEMPLATE
package #{PLACEHOLDER_PACKAGE};

public class #{PLACEHOLDER_CLASS} {

}
TEMPLATE

        end

        # Write the file(s).
        # @return void
        def write

            # class_name = 'MessageType'
            #
            # contents = @template
            # contents = contents.gsub(PLACEHOLDER_PACKAGE, get_package(@site, nil, PACKAGE, SERVICE))
            # contents = contents.gsub(PLACEHOLDER_CLASS, class_name)
            #
            # write_file_java("#{get_java_path(@site, nil, SERVICE, PACKAGE)}/#{class_name}.java", Blufin::YmlCommon::convert_string_to_line_array(contents))

        end

    end

end