module AppCommand

    class APIList < ::Convoy::ActionCommand::Base

        def execute

            begin

                @opts = command_options
                @args = arguments

                opts_validate
                opts_routing

            rescue => e

                Blufin::Terminal::print_exception(e)

            end

        end

        def opts_validate

        end

        def opts_routing

            Blufin::Terminal::info("Available #{Blufin::Terminal::format_highlight('APIs')} are:", Blufin::SiteResolver::get_available_apis, true)

        end

    end

end