-- Add mock_nested_multiple FKs
ALTER TABLE `mock_nested_multiple`
ADD CONSTRAINT `fk_1`
    FOREIGN KEY (`mock_id`)
    REFERENCES `mock` (`id`)
    ON DELETE RESTRICT
    ON UPDATE CASCADE;

-- Add mock_nested_single FKs
ALTER TABLE `mock_nested_single`
ADD CONSTRAINT `fk_2`
    FOREIGN KEY (`mock_id`)
    REFERENCES `mock` (`id`)
    ON DELETE RESTRICT
    ON UPDATE CASCADE;

-- Add mock_nested_single_super_super_deep FKs
ALTER TABLE `mock_nested_single_super_super_deep`
ADD CONSTRAINT `fk_3`
    FOREIGN KEY (`mock_nested_single_id`)
    REFERENCES `mock_nested_single` (`id`)
    ON DELETE RESTRICT
    ON UPDATE CASCADE;

ALTER TABLE `mock_to_mock_nested_linked_link`
  ADD INDEX `idx_1` (`mock_id` DESC),
  ADD INDEX `idx_2` (`mock_nested_linked_id` DESC),
  ADD UNIQUE INDEX `mock_to_mock_nested_linked_uniq_idx` (`mock_id` DESC, `mock_nested_linked_id` DESC),
  ADD CONSTRAINT `fk_4`
    FOREIGN KEY (`mock_id`)
    REFERENCES `mock` (`id`)
    ON DELETE RESTRICT
    ON UPDATE RESTRICT,
  ADD CONSTRAINT `fk_5`
    FOREIGN KEY (`mock_nested_linked_id`)
    REFERENCES `mock_nested_linked` (`id`)
    ON DELETE RESTRICT
    ON UPDATE RESTRICT;